Bug 112414 - com.arsdigita.persistance..pdl.PDL creates/overwrites a 0 byte create.sql
Summary: com.arsdigita.persistance..pdl.PDL creates/overwrites a 0 byte create.sql
Status: NEW
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-19 11:36 UTC by Steve Etherington
Modified: 2008-05-01 15:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the project.xml (3.53 KB, text/plain)
2003-12-19 11:37 UTC, Steve Etherington
no flags Details
output from ant (194.92 KB, text/plain)
2003-12-19 11:40 UTC, Steve Etherington
no flags Details

Description Steve Etherington 2003-12-19 11:36:50 UTC
Description of problem:

This is a problem I have with one particular project, where I am
creating a content type.

The class com.arsdigita.persistance..pdl.PDL creates two zero byte
files, create.sql and drop-tables.sql in build/sql/<prj>/ddl/oracle-se

This happens as part of the generate-ddl-<prj>-oracle-se ant task.

Initially it was overwriting files that were correctly copied from my
sql dir. After I renamed the files that kept turning up as zero bytes,
it simply created them new.


Version-Release number of selected component (if applicable):
aplaws-2 dec-5

How reproducible:
every time now

Steps to Reproduce:
1. ant deploy
2. or ant build
3.
  
Actual results:


Expected results:


Additional info:
I found this out by copying the sql over then making the directory
non-writable (to get an exception when an attempt was then made to
create a new file).

I will attach my project.xml and the output of ant deploy -v with the
directory non-writable as above.

Comment 1 Steve Etherington 2003-12-19 11:37:55 UTC
Created attachment 96635 [details]
the project.xml

Here's the porject.xml file for the offending project.

Comment 2 Steve Etherington 2003-12-19 11:40:15 UTC
Created attachment 96636 [details]
output from ant

Created with
ant deploy -v  > ant.out 2>&1

and with the 
camden-cms-type-birdwatch/build/sql/camden-cms-type-birdwatch/ddl/oracle-se
directory not-writable.

Comment 3 Steve Etherington 2004-01-15 12:51:32 UTC
The zero byte files are create by the generate-ddl-<project-name> ant 
task. 


Comment 4 Steve Etherington 2004-02-18 10:54:09 UTC
I believe this problem was caused by mixing sql and pdl files, which 
then generated extra sql, some of which was incompatible.

The situation resulted from following the November version of the CMS 
content type tutorial. The January version does not say to create any 
SQL and lets the PDL generator handle all SQL creation. This looks to 
work okay.

Perhaps there is still some underlying bug that this has brought to 
light but the tutorial now works around it.


Note You need to log in before you can comment on or make changes to this bug.